Overview | Project | Class | Tree | Deprecated | Index

Nestopia Core API

FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD

## api
Struct Nes::Api::Cheats::Code

struct Nes::Api::Cheats::Code

Cheat code.

Field Summary
`ushort` | `address` Address.
`uchar` | `compare` Compare-value.
`bool` | `useCompare` Compare-value enable.
`uchar` | `value` Value.

Constructor Summary
`Code( ushort a = 0, uchar v = 0, uchar c = 0, bool u = false )` Constructor.

Field Detail

### address

    public ushort address;

  Address.

### compare

    public uchar compare;

  Compare-value.

### useCompare

    public bool useCompare;

  Compare-value enable.

### value

    public uchar value;

  Value.

Constructor Detail

### Code

    public Code( ushort a = 0, uchar v = 0, uchar c = 0, bool u = false );

  Constructor.

Parameters:
  `a` - address
  `v` - value
  `c` - compare-value
  `u` - compare-value enable

Overview | Project | Class | Tree | Deprecated | Index

Nestopia Core API

FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD